# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnManagementContext

Packages that use WebAuthnManagementContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.audit
Audit function APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.audit.impl
This package has administrative functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.

## Uses of WebAuthnManagementContext in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type WebAuthnManagementContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnManagementContext>`
PopulateWebAuthnManagementContext.`webAuthnManagementContextCreationStrategy`
Strategy used to locate or create the `WebAuthnManagementContext` to populate.
`private Function<ProfileRequestContext,WebAuthnManagementContext>`
ManagementContextCredentialRemovalConsumer.`webauthnManagementContextLookupStrategy`
Lookup strategy to locate the webauthn management context.
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with parameters of type WebAuthnManagementContext
Modifier and Type
Method
Description
`protected void`
AdminDeletePublicKeyCredential.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnManagementContext context)`
`protected void`
ExtractUsernameSearchFromFormRequest.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnManagementContext context)`
`protected void`
InitializeAdminSubjectCanonicalizationContext.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnManagementContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
LookupCredentialsForUser.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnManagementContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
UpdateAdminContextWithC14nPrincipal.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnManagementContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type WebAuthnManagementContext
Modifier and Type
Method
Description
`void`
PopulateWebAuthnManagementContext.`setWebAuthnManagementContextCreationStrategy(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Set the strategy used to lookup or create the WebAuthn managment context.
`void`
ManagementContextCredentialRemovalConsumer.`setWebauthnManagementContextLookupStrategy(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Set WebAuthn management context lookup strategy to use.

## Uses of WebAuthnManagementContext in net.shibboleth.idp.plugin.authn.webauthn.audit

Fields in net.shibboleth.idp.plugin.authn.webauthn.audit with type parameters of type WebAuthnManagementContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,WebAuthnManagementContext>`
AbstractWebAuthnManagementAuditExtractor.`webAuthnManagementContextLookupStrategy`
Lookup strategy to locate the WebAuthn management context.
Methods in net.shibboleth.idp.plugin.authn.webauthn.audit with parameters of type WebAuthnManagementContext
Modifier and Type
Method
Description
`protected abstract T`
AbstractWebAuthnManagementAuditExtractor.`doLookup(WebAuthnManagementContext context)`
Implemented to perform the actual lookup.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.audit with type arguments of type WebAuthnManagementContext
Modifier
Constructor
Description
`protected`
`AbstractWebAuthnManagementAuditExtractor(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Constructor.

## Uses of WebAuthnManagementContext in net.shibboleth.idp.plugin.authn.webauthn.audit.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.audit.impl with parameters of type WebAuthnManagementContext
Modifier and Type
Method
Description
`protected String`
WebAuthnCredentialToRemoveAuditExtractor.`doLookup(WebAuthnManagementContext context)`
Implemented to perform the actual lookup.
`protected String`
WebAuthnSearchUserAuditExtractor.`doLookup(WebAuthnManagementContext context)`
Implemented to perform the actual lookup.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.audit.impl with type arguments of type WebAuthnManagementContext
Modifier
Constructor
Description
``
`WebAuthnCredentialToRemoveAuditExtractor(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Constructor.
``
`WebAuthnSearchUserAuditExtractor(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Constructor.

## Uses of WebAuthnManagementContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return WebAuthnManagementContext
Modifier and Type
Method
Description
`WebAuthnManagementContext`
WebAuthnManagementContext.`setCredentialIdToRemove(byte[] id)`
Set the ID of the credential that is going to be removed.
`WebAuthnManagementContext`
WebAuthnManagementContext.`setFoundCredentials(Collection<EnhancedCredentialRecord> credentials)`
Set the credentials found to belong to the given searchUsername.
`WebAuthnManagementContext`
WebAuthnManagementContext.`setPrincipalName(String name)`
Set the canonical principal name of the authenticated subject.
`WebAuthnManagementContext`
WebAuthnManagementContext.`setRawSearchUsername(String name)`
Sets the raw username entered by the admin to search for.
`WebAuthnManagementContext`
WebAuthnManagementContext.`setSearchUsername(String name)`
Set the username of the user to find and manage credentials for.